DomDomSoft Anime Downloader 1.2.1 release

>> Download << (or auto update)

In this release:

  • Bugs fixed.

_________________________________________

Please report errors and request new features by commenting here (please provide information such as anime name, episode name etc. if you report errors).

You need .Net Framework 3.5 or 4.0 in order to use this software.

Comments are closed.

line
footer
Copyright by DomDomSoft 2009 - 2012